Status abrufen

GET /api/kvm/:internal_id/status

URL Variablen

Name Beschreibung
internal_id internal_id des Servers, abrufbar über den /api/account/services Endpunkt, oder in URL der Verwaltung des Servers im Control Panel ersichtlich

Response (application/json)

{
    "status": "success",
    "message": "VM status retrieved successfully",
    "data": {
        "status": "running",
        "uptime": 545,
        "task": null,
        "usage": {
            "cpu": {
                "data": "0.000",
                "unit": "%"
            },
            "mem": {
                "data": "0.659",
                "unit": "MB"
            },
            "nvme_storage": {
                "data": 1.7,
                "unit": "GB"
            }
        }
    }
}

Response Enums

Response Parameter Beschreibung
status Online Status der VM
task Aktueller Task, welcher von der VM ausgeführt wird

cURL

curl "https://manage.24fire.de/api/kvm/:internal_id/status" -X GET -H "Content-Type: application/x-www-form-urlencoded" -H "X-Fire-Apikey: [Dein API-Key]"

Anfrage testen